%define upstream_name System_ProcWatch
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.3
Release:     	%mkrel 7
Summary:    	Monitor Processes
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/System_ProcWatch-%{version}.tgz
URL: 		http://pear.php.net/package/System_ProcWatch
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
BuildArch: noarch

%description
With this package you can monitor running processes based upon an XML
configuration file, XML string, INI file or an array where you define
patterns, conditions and actions.

XML::Parser must be installed to configure System::ProcWatch by XML,
additionally Console::Getopt and XML::DTD must be installed if you want to
use the shipped shell scripts 'procwatch' and 'procwatch-lint'.

A simple 'ps' fake for WinNT can be found at http://dev.iworks.at/ps/ps.zip

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/System_ProcWatch.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/System_ProcWatch.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/System_ProcWatch
fi

%files
%doc docs/System_ProcWatch/*
%{peardir}/*
%{_bindir}/procwatch
%{_bindir}/procwatch-lint
%{_bindir}/system-procwatch.cmd
%{_bindir}/system-procwatch_lint.cmd
%{xmldir}/System_ProcWatch.xml


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.4.3-7.mga6
+ Revision: 938470
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.3-6.mga5
+ Revision: 751011
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.4.3-5.mga5
+ Revision: 725201
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.3-4.mga5
+ Revision: 687481
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.3-3.mga4
+ Revision: 517260
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-2.mga3
+ Revision: 377299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.4.3-1.mga2
+ Revision: 196083
- upgrade to 0.4.3
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.4.2-12.mga1
+ Revision: 44328
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-System_ProcWatch


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-12mdv2011.0
+ Revision: 613779
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.2-11mdv2010.1
+ Revision: 467093
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.4.2-10mdv2010.0
+ Revision: 441653
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-9mdv2009.1
+ Revision: 322668
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-8mdv2009.0
+ Revision: 237085
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-7mdv2007.0
+ Revision: 82722
- Import php-pear-System_ProcWatch

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-1mdk
- initial Mandriva package (PLD import)

